LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XExternalSheetName Interface Reference

provides a method to set an external name at the sheet. More...

`import"XExternalSheetName.idl";`

Inheritance diagram for XExternalSheetName:

## Public Member Functions
void | setExternalName ([in] string aUrl, [in] string aSheetName) raises (com::sun::star::container::ElementExistException)
| sets an external name at the sheet. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides a method to set an external name at the sheet.

An external reference in a cell formula is implemented using a hidden sheet which is linked to the sheet in the external document. The name of the hidden sheet is composed of the URL of the external document and the external sheet name.

Since
  OOo 3.0

## Member Function Documentation

void setExternalName | ( | [in] string | aUrl,
|  | [in] string | aSheetName
| ) |  |
raises | ( | com::sun::star::container::ElementExistException
| ) |  |

sets an external name at the sheet.

This method allows to compose the sheet name from the URL of the external document and the name of the external sheet.

Parameters

  aUrl | the URL of the external document.
  aSheetName | the name of the sheet in the external document.

Exceptions

  com::sun::star::container::ElementExistException | a sheet with that external name already exists in this document

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XExternalSheetName.idl